From 78880b7e17d4e25bdeb20b28036d936a829554df Mon Sep 17 00:00:00 2001
From: Pierre-Yves Chibon <pingou@pingoured.fr>
Date: Feb 09 2016 15:42:44 +0000
Subject: [PATCH 274/1001] Rename the pagure repo validator to pagure_repo


As otherwise we could conflict with other repo (distgit, github...)

---

diff --git a/hubs/validators.py b/hubs/validators.py
index 0dec579..9c2c276 100644
--- a/hubs/validators.py
+++ b/hubs/validators.py
@@ -30,5 +30,5 @@ def fmn_context(session, value):
         'irc', 'email', 'android', 'desktop', 'hubs',
     ]
 
-def repo(session, value):
+def pagure_repo(session, value):
     return value
diff --git a/hubs/widgets/pagure_pr.py b/hubs/widgets/pagure_pr.py
index afd8b97..331bb7a 100644
--- a/hubs/widgets/pagure_pr.py
+++ b/hubs/widgets/pagure_pr.py
@@ -53,8 +53,8 @@ template = jinja2.Template("""
 
 @argument(name="repo",
           default=None,
-          validator=validators.repo,
-          help="Repo")
+          validator=validators.pagure_repo,
+          help="Pagure repo name")
 def data(session, widget, repo):
     repo="pagure"
     url = '/'.join([pagure_url, repo, "pull-requests"])

